Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.enterprise.ServiceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SendMailException, UnknownOperatorNameException

    public class ServiceException

extends Exception
implements Serializable

The `ServiceException` class is used across all core framework services and is also suitable for use by developers extending the framework using the framework SPI. Based on code published by Terren Suydam in JavaWorld

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , last edited by: $Author: mschneider $
See Also:
  JavaWorld tip 91, Serialized Form

Constructor Summary
`ServiceException()` java.lang.Exception constructors
`ServiceException(String msg)` Constructor declaration
`ServiceException(String msg, Throwable nestedException)` Constructor declaration
`ServiceException(Throwable nestedException)` additional c'tors - nest the exceptions, storing the stack trace

Method Summary
`static String` | `generateStackTraceString(Throwable t)` Convert a stack trace to a String so it can be serialized
`String` | `getMessage()` Method declaration
`Throwable` | `getNestedException()` Method declaration
`String` | `getStackTraceString()` descend through linked-list of nesting exceptions, & output trace note that this displays the 'deepest' trace first
`void` | `printStackTrace()` Method declaration
`void` | `printStackTrace(PrintStream inPrintStream)` Method declaration
`void` | `printStackTrace(PrintWriter inPrintWriter)` Method declaration
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceException

    public ServiceException()

  java.lang.Exception constructors

### ServiceException

    public ServiceException(String msg)

  Constructor declaration

  Parameters:
    `msg` -

### ServiceException

    public ServiceException(Throwable nestedException)

  additional c'tors - nest the exceptions, storing the stack trace

  Parameters:
    `nestedException` -

### ServiceException

    public ServiceException(String msg,
                            Throwable nestedException)

  Constructor declaration

  Parameters:
    `msg` -
    `nestedException` -

Method Detail

### generateStackTraceString

    public static String generateStackTraceString(Throwable t)

  Convert a stack trace to a String so it can be serialized

  Parameters:
    `t` -
  Returns:
    stack trace as String

### getNestedException

    public Throwable getNestedException()

  Method declaration

  Returns:
    nestedException

### getStackTraceString

    public String getStackTraceString()

  descend through linked-list of nesting exceptions, & output trace note that this displays the 'deepest' trace first

  Returns:
    stack trace as String

### getMessage

    public String getMessage()

  Method declaration

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    message as String

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`
  Returns:
    String

### printStackTrace

    public void printStackTrace()

  Method declaration

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream inPrintStream)

  Method declaration

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `inPrintStream` -

### printStackTrace

    public void printStackTrace(PrintWriter inPrintWriter)

  Method declaration

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `inPrintWriter` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org